Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.filterencoding.capabilities
Class OperatorFactory110

    java.lang.Object
      org.deegree.model.filterencoding.capabilities.OperatorFactory110

    public class OperatorFactory110

extends Object

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary
`static String` | `BBOX`
`static String` | `BETWEEN`
`static String` | `BEYOND`
`static String` | `CONTAINS`
`static String` | `CROSSES`
`static String` | `DISJOINT`
`static String` | `DWITHIN`
`static String` | `EQUAL_TO`
`static String` | `EQUALS`
`static String` | `GREATER_THAN`
`static String` | `GREATER_THAN_EQUAL_TO`
`static String` | `INTERSECTS`
`static String` | `LESS_THAN`
`static String` | `LESS_THAN_EQUAL_TO`
`static String` | `LIKE`
`static String` | `NOT_EQUAL_TO`
`static String` | `NULL_CHECK`
`static String` | `OVERLAPS`
`static String` | `TOUCHES`
`static String` | `WITHIN`

Constructor Summary
`OperatorFactory110()`

Method Summary
`static Operator` | `createComparisonOperator(String name)`
`static SpatialOperator` | `createSpatialOperator(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LESS_THAN

    public static final String LESS_THAN

See Also:
  Constant Field Values

### GREATER_THAN

    public static final String GREATER_THAN

See Also:
  Constant Field Values

### LESS_THAN_EQUAL_TO

    public static final String LESS_THAN_EQUAL_TO

See Also:
  Constant Field Values

### GREATER_THAN_EQUAL_TO

    public static final String GREATER_THAN_EQUAL_TO

See Also:
  Constant Field Values

### EQUAL_TO

    public static final String EQUAL_TO

See Also:
  Constant Field Values

### NOT_EQUAL_TO

    public static final String NOT_EQUAL_TO

See Also:
  Constant Field Values

### LIKE

    public static final String LIKE

See Also:
  Constant Field Values

### BETWEEN

    public static final String BETWEEN

See Also:
  Constant Field Values

### NULL_CHECK

    public static final String NULL_CHECK

See Also:
  Constant Field Values

### BBOX

    public static final String BBOX

See Also:
  Constant Field Values

### EQUALS

    public static final String EQUALS

See Also:
  Constant Field Values

### DISJOINT

    public static final String DISJOINT

See Also:
  Constant Field Values

### INTERSECTS

    public static final String INTERSECTS

See Also:
  Constant Field Values

### TOUCHES

    public static final String TOUCHES

See Also:
  Constant Field Values

### CROSSES

    public static final String CROSSES

See Also:
  Constant Field Values

### WITHIN

    public static final String WITHIN

See Also:
  Constant Field Values

### CONTAINS

    public static final String CONTAINS

See Also:
  Constant Field Values

### OVERLAPS

    public static final String OVERLAPS

See Also:
  Constant Field Values

### BEYOND

    public static final String BEYOND

See Also:
  Constant Field Values

### DWITHIN

    public static final String DWITHIN

See Also:
  Constant Field Values

Constructor Detail

### OperatorFactory110

    public OperatorFactory110()

Method Detail

### createSpatialOperator

    public static SpatialOperator createSpatialOperator(String name)
                                                 throws UnknownOperatorNameException

  Parameters:
    `name` -
  Returns:
    SpatialOperator for name
  Throws:
    `UnknownOperatorNameException`

### createComparisonOperator

    public static Operator createComparisonOperator(String name)
                                             throws UnknownOperatorNameException

  Parameters:
    `name` -
  Returns:
    Operator for name
  Throws:
    `UnknownOperatorNameException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org